Package ru.bgcrm.util.sql

# Class SQLUtils

java.lang.Object
ru.bgcrm.util.sql.SQLUtils

public class SQLUtils extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static Set<String>`
  `tables`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SQLUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final void`
  `closeConnection(Connection con)`
  Safe closing of DB connection if it isn't `null` and not closed already.
  `static final void`
  `closeConnection(Connection... con)`
  Safe closing of DB connections if each of them isn't `null` and not closed already.
  `static boolean`
  `columnExist(Connection con, String table, String column)`
  `static final void`
  `commitConnection(Connection con)`
  Каммит одного соединения с БД.
  `static int`
  `getConnectionId(Connection connection)`
  `Set<String>`
  `getTableColumns(Connection con, String tableName)`
  `static final String`
  `javaDateFormatToSql(String format)`
  Преобразует формат даты под SimpleDateFormat в формат для MySQL функции DATE_FORMAT.
  `static int`
  `lastInsertId(PreparedStatement ps)`
  `static final void`
  `setAutoCommit(Connection connection)`
  Функция устанавливает автоматическое подтвержение изменений (autocommit) для указанного соединения
  `static boolean`
  `tableExists(Connection con, String tableName)`
  Проверка на существование таблицы в БД

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### tables

    public static Set<String> tables

- ## Constructor Details

  - ### SQLUtils

    public SQLUtils()

- ## Method Details

  - ### closeConnection

    public static final void closeConnection(Connection con)
    Safe closing of DB connection if it isn't `null` and not closed already. Faster comparing to `closeConnection(Connection...)`, doesn't create arrays on every call.
    Parameters:
      `con` - connection, `null` safe.

  - ### closeConnection

    public static final void closeConnection(Connection... con)
    Safe closing of DB connections if each of them isn't `null` and not closed already.
    Parameters:
      `con` - connections.

  - ### getConnectionId

    public static int getConnectionId(Connection connection) throws SQLException
    Throws:
      `SQLException`

  - ### lastInsertId

    public static int lastInsertId(PreparedStatement ps) throws SQLException
    Throws:
      `SQLException`

  - ### tableExists

    public static boolean tableExists(Connection con, String tableName)
    Проверка на существование таблицы в БД
    Parameters:
      `con` - объект доступа к БД
      `tableName` - имя проверяемой таблицы
    Returns:
      true - таблица существует, false - таблица не существует или нет доступа к БД
    Throws:
      `SQLException` - если возникают проблемы с доступом к БД

  - ### columnExist

    public static boolean columnExist(Connection con, String table, String column)

  - ### commitConnection

    public static final void commitConnection(Connection con)
    Каммит одного соединения с БД.
    Parameters:
      `con` - - соединение.

  - ### setAutoCommit

    public static final void setAutoCommit(Connection connection)
    Функция устанавливает автоматическое подтвержение изменений (autocommit) для указанного соединения
    Parameters:
      `connection` -

  - ### javaDateFormatToSql

    public static final String javaDateFormatToSql(String format)
    Преобразует формат даты под SimpleDateFormat в формат для MySQL функции DATE_FORMAT.
    Parameters:
      `format` -
    Returns:

  - ### getTableColumns

    public Set<String> getTableColumns(Connection con, String tableName) throws SQLException
    Throws:
      `SQLException`